Subject: Re: [Qgit RFC] commit --amend

From: Jan Hudec <[email-masked]>
Date: Mon, 11 Jun 2007 06:42:58 +0200

On Mon, Jun 11, 2007 at 00:10:20 +0200, Marco Costalba wrote:
> On 6/10/07, Jan Hudec <[email-masked]> wrote:
> >Hello,
> >
> >I am thinking about adding commit --amend support to Qgit.
> >
> 
> Good!
> 
> > - Add a separate action to the menu. This action would take over the 
> > refresh
> >   (Add to top) operation when using stgit.
> >
> >   I believe this has lower risk of user errors than the previous option. 
> >   It
> >   also has the advantage, that I don't have to touch the disabling logic 
> >   for
> >   the commit action. Amending last commit is always possible, even if 
> >   there
> >   are no changes, because you might want to edit the message (eg. if you
> >   forget to sign-off or forget to mention some change or something).
> >
> 
> Yes. But amending is an option of commit (also in git) so probably the
> amend action will fire the commit dialog anyway and we are back to
> previous situation. The only advantage is that we can load the message
> of the tip revision as default instead of git-status output as the
> current.
> 
> 
> >I'll try doing the first option now, unless somebody persuades me that it's
> >a nonsense.
> >
> 
> I think it's the best: 'Sync' button is very seldom used (I think I've
> never used it but for testing that it works) and updating the index is
> something very plumbing anyway.
> 
> What we could add is another button 'Load prev msg' to do what it
> says, so we would end up with 5 buttons:
> 
> - Settings /Cancel/ Load prev msg / Amend /Commit
> 
> I don't see a reason to set 'Load prev msg' as a check button, you may
> want to reload the prev msg as many times as you need, (re)clicking
> everytime on the button, also for a normal commit where as example you
> want to keep the header or part of the subject of the previous
> revision.

I think it would be somewhat complicated unfortunately :-(. The loading of
previous message should be really tied to whether you are about to
amend/refresh or to commit/add new. In this respect this would actually match
the command-line interface, because you say whether you want to amend
*before* you edit the message.

So I am now inclined more to the separate action and trying to go that way.
But the difference between the variants would not be that big.

> Please let me know if and where you find something obscure/messy with
> the code, I will be happy to help you.

I think I mostly understood it now. Thank you.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>